if (IGNITION-TOOLS_CONFIG_INCLUDED)
  return()
endif()
set(IGNITION-TOOLS_CONFIG_INCLUDED TRUE)

list(APPEND IGNITION-TOOLS_BINARY_DIRS /usr/bin)

list(APPEND IGNITION-TOOLS_INCLUDE_DIRS /usr/include)

list(APPEND IGNITION-TOOLS_LIBRARY_DIRS /usr/lib/x86_64-linux-gnu)

list(APPEND IGNITION-TOOLS_CFLAGS -I/usr/include)

list(APPEND IGNITION-TOOLS_CXX_FLAGS -std=c++11)
if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
  set(IGNITION-TOOLS_CXX_FLAGS "${IGNITION-TOOLS_CXX_FLAGS} -stdlib=libc++")
endif ()

foreach(dep )
  if(NOT ${dep}_FOUND)
    find_package(${dep} REQUIRED)
  endif()
  string(TOUPPER ${dep} dep_upper)
  list(APPEND IGNITION-TOOLS_INCLUDE_DIRS ${${dep_upper}_INCLUDE_DIRS})
  list(APPEND IGNITION-TOOLS_LIBRARIES ${${dep_upper}_LIBRARIES})
endforeach()

list(APPEND IGNITION-TOOLS_LDFLAGS -L/usr/lib/x86_64-linux-gnu)
